<?php
/**
 * carousel section
 *
 * @package The Blogging
 */

$default = the_blogging_get_default_theme_options();

// Top Bar Section.
$wp_customize->add_section( 'top_bar_section_settings',
	array(
		'title'      => __( 'Top Bar Section', 'the-blogging' ),
		'priority'   => 90,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_top_bar_section.
$wp_customize->add_setting( 'show_top_bar_section',
	array(
		'default'           => $default['show_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_top_bar_section',
	array(
		'label'    => __( 'Enable Top Bar', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

// Setting - show_date_top_bar_section.
$wp_customize->add_setting( 'show_date_top_bar_section',
	array(
		'default'           => $default['show_date_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_date_top_bar_section',
	array(
		'label'    => __( 'Enable Date on Top Bar', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);


// Setting - show_top_menu_top_bar_section.
$wp_customize->add_setting( 'show_top_menu_top_bar_section',
	array(
		'default'           => $default['show_top_menu_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_top_menu_top_bar_section',
	array(
		'label'    => __( 'Enable Menu on Top Bar', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);

// Setting - show_social_menu_top_bar_section.
$wp_customize->add_setting( 'show_social_menu_top_bar_section',
	array(
		'default'           => $default['show_social_menu_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_social_menu_top_bar_section',
	array(
		'label'    => __( 'Enable Social Menu on Top Bar', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);

// Setting - show_browse_more_top_bar_section.
$wp_customize->add_setting( 'show_browse_more_top_bar_section',
	array(
		'default'           => $default['show_browse_more_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_browse_more_top_bar_section',
	array(
		'label'    => __( 'Enable Header Button on Top Bar', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);

// Setting - title_text_browse_more_top_bar_section.
$wp_customize->add_setting( 'title_text_browse_more_top_bar_section',
	array(
		'default'           => $default['title_text_browse_more_top_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'title_text_browse_more_top_bar_section',
	array(
		'label'    => __( 'Text for Header Button', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'type'     => 'text',
		'priority' => 100,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);


/*No of Slider*/
$wp_customize->add_setting( 'the_blogging_header_widgets_number',
	array(
		'default'           => $default['the_blogging_header_widgets_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_select',
	)
);
$wp_customize->add_control( 'the_blogging_header_widgets_number',
	array(
		'label'    => __( 'Select no of Sidebar', 'the-blogging' ),
        'description'     => __( 'Selecting the number sidebar for header will be added so that you can add widgets', 'the-blogging' ),
		'section'  => 'top_bar_section_settings',
		'choices'               => array(
		    '1' => __( '1', 'the-blogging' ),
		    '2' => __( '2', 'the-blogging' ),
		    '3' => __( '3', 'the-blogging' ),
		    '4' => __( '4', 'the-blogging' ),
		    ),
		'type'     => 'select',
		'priority' => 105,
		'active_callback' => 'the_blogging_is_top_bar_section_enable',
	)
);

// category Bar Section.
$wp_customize->add_section( 'top_category_section_settings',
	array(
		'title'      => __( 'Category Bar Section', 'the-blogging' ),
		'priority'   => 90,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_category_bar_section.
$wp_customize->add_setting( 'show_category_bar_section',
	array(
		'default'           => $default['show_category_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_category_bar_section',
	array(
		'label'    => __( 'Enable Category Bar', 'the-blogging' ),
		'section'  => 'top_category_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

$wp_customize->add_setting( 'title_text_category_bar_section',
	array(
		'default'           => $default['title_text_category_bar_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'title_text_category_bar_section',
	array(
		'label'    => __( 'Category Title Text', 'the-blogging' ),
		'section'  => 'top_category_section_settings',
		'type'     => 'text',
		'priority' => 100,
	)
);
/*No of Carousel*/
$wp_customize->add_setting( 'number_of_top_category',
	array(
		'default'           => $default['number_of_top_category'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_top_category',
	array(
		'label'    => __( 'Select no of Category to Display', 'the-blogging' ),
        'description'     => __( 'Select number [max-10] category to be shown save and refresh to get the required field', 'the-blogging' ),
		'section'  => 'top_category_section_settings',
		'input_attrs'     => array( 'min' => 1, 'max' => 10, 'style' => 'width: 150px;' ),
		'type'     => 'number',
		'priority' => 105,
	)
);


for ( $i=1; $i <= the_blogging_get_option( 'number_of_top_category' ) ; $i++ ) {
        $wp_customize->add_setting( 'select_category_'. $i, array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'absint',
        ) );
        $wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_'. $i,
        	array(
                'label'           =>__( 'Category ', 'the-blogging' ) . ' - ' . $i ,
                'section'         => 'top_category_section_settings',
                'type'            => 'dropdown-taxonomies',
                'taxonomy'        => 'category',
            	'priority'          =>  '120' . $i,

            ) ) );
    }



// Carousel Main Section.
$wp_customize->add_section( 'carousel_section_settings',
	array(
		'title'      => __( 'Blog/News Carousel Section', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_carousel_section.
$wp_customize->add_setting( 'show_carousel_section',
	array(
		'default'           => $default['show_carousel_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_carousel_section',
	array(
		'label'    => __( 'Enable Carousel', 'the-blogging' ),
		'section'  => 'carousel_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

$wp_customize->add_setting( 'heading_text_on_carousel',
	array(
		'default'           => $default['heading_text_on_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'heading_text_on_carousel',
	array(
		'label'    => __( 'Section Title Text', 'the-blogging' ),
		'section'  => 'carousel_section_settings',
		'type'     => 'text',
		'priority' => 100,
	)
);

/*No of Carousel*/
$wp_customize->add_setting( 'number_of_home_carousel',
	array(
		'default'           => $default['number_of_home_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_home_carousel',
	array(
		'label'    => __( 'Select no of carousel', 'the-blogging' ),
		'section'  => 'carousel_section_settings',
		'input_attrs'     => array( 'min' => 1, 'max' => 15, 'style' => 'width: 150px;' ),

		'type'     => 'number',
		'priority' => 105,
	)
);


// Setting - drop down category for carousel.
$wp_customize->add_setting( 'select_category_for_carousel',
	array(
		'default'           => $default['select_category_for_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_carousel',
	array(
        'label'           => __( 'Category for carousel', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on Carousel bellow slider ', 'the-blogging' ),
        'section'         => 'carousel_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,

    ) ) );



// Featured Blog Main Section.
$wp_customize->add_section( 'featured_blog_section_settings',
	array(
		'title'      => __( 'Blog/News Featured Blog Section', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_featured_blog_section.
$wp_customize->add_setting( 'show_featured_blog_section',
	array(
		'default'           => $default['show_featured_blog_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_featured_blog_section',
	array(
		'label'    => __( 'Enable Featured Blog', 'the-blogging' ),
		'section'  => 'featured_blog_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

$wp_customize->add_setting( 'heading_text_on_featured_blog',
	array(
		'default'           => $default['heading_text_on_featured_blog'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'heading_text_on_featured_blog',
	array(
		'label'    => __( 'Section Title Text', 'the-blogging' ),
		'section'  => 'featured_blog_section_settings',
		'type'     => 'text',
		'priority' => 100,
	)
);


// Setting - drop down category for featured_blog.
$wp_customize->add_setting( 'select_category_for_featured_blog',
	array(
		'default'           => $default['select_category_for_featured_blog'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_featured_blog',
	array(
        'label'           => __( 'Category for Featured Blog', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on Featured Blog bellow slider ', 'the-blogging' ),
        'section'         => 'featured_blog_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,

    ) ) );


// Setting - featured_blog_background_color.
$wp_customize->add_setting( 'featured_blog_background_color',
	array(
		'default'           => $default['featured_blog_background_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'featured_blog_background_color',
	array(
		'label'    => __( 'Featured Blog Background Color', 'the-blogging' ),
		'section'  => 'featured_blog_section_settings',
		'type'     => 'color',
		'priority' => 170,
	)
));

// Setting - featured_blog_text_color.
$wp_customize->add_setting( 'featured_blog_text_color',
	array(
		'default'           => $default['featured_blog_text_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'featured_blog_text_color',
	array(
		'label'    => __( 'Featured Blog Text Color', 'the-blogging' ),
		'section'  => 'featured_blog_section_settings',
		'type'     => 'color',
		'priority' => 170,
	)
));
/*settings for Section property*/


// Carousel sec Section.
$wp_customize->add_section( 'full_width_carousel_section_settings',
	array(
		'title'      => __( 'Blog/News Full Width Carousel Section', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_full_width_carousel_section.
$wp_customize->add_setting( 'show_full_width_carousel_section',
	array(
		'default'           => $default['show_full_width_carousel_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_full_width_carousel_section',
	array(
		'label'    => __( 'Enable Full Width Carousel', 'the-blogging' ),
		'section'  => 'full_width_carousel_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

$wp_customize->add_setting( 'heading_text_on_full_width_carousel',
	array(
		'default'           => $default['heading_text_on_full_width_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'heading_text_on_full_width_carousel',
	array(
		'label'    => __( 'Section Title Text', 'the-blogging' ),
		'section'  => 'full_width_carousel_section_settings',
		'type'     => 'text',
		'priority' => 100,
	)
);

/*No of Carousel*/
$wp_customize->add_setting( 'number_of_home_full_width_carousel',
	array(
		'default'           => $default['number_of_home_full_width_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_home_full_width_carousel',
	array(
		'label'    => __( 'Select no of Items', 'the-blogging' ),
		'section'  => 'full_width_carousel_section_settings',
		'input_attrs'     => array( 'min' => 1, 'max' => 15, 'style' => 'width: 150px;' ),

		'type'     => 'number',
		'priority' => 105,
	)
);


// Setting - drop down category for carousel.
$wp_customize->add_setting( 'select_category_for_full_width_carousel',
	array(
		'default'           => $default['select_category_for_full_width_carousel'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_full_width_carousel',
	array(
        'label'           => __( 'Category for Full Width carousel', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on Carousel bellow slider ', 'the-blogging' ),
        'section'         => 'full_width_carousel_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,

    ) ) );

$wp_customize->add_section( 'feature_blog_section_settings',
	array(
		'title'      => __( 'Featured Blog Section', 'the-blogging' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'homepage_option_panel',
	)
);

// Setting - show_feature_blog_section.
$wp_customize->add_setting( 'show_feature_blog_section',
	array(
		'default'           => $default['show_feature_blog_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'show_feature_blog_section',
	array(
		'label'    => __( 'Enable Featured Blog', 'the-blogging' ),
		'section'  => 'feature_blog_section_settings',
		'type'     => 'checkbox',
		'priority' => 100,
	)
);

/*content excerpt in Slider*/
$wp_customize->add_setting( 'number_of_content_home_feature_blog',
	array(
		'default'           => $default['number_of_content_home_feature_blog'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'the_blogging_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'number_of_content_home_feature_blog',
	array(
		'label'    => __( 'Select no words for Featured Blog', 'the-blogging' ),
		'section'  => 'feature_blog_section_settings',
		'type'     => 'number',
		'priority' => 110,
		'input_attrs'     => array( 'min' => 1, 'max' => 200, 'style' => 'width: 150px;' ),

	)
);

$wp_customize->add_setting( 'select_category_for_feature_blog',
	array(
		'default'           => $default['select_category_for_feature_blog'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( new The_Blogging_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_feature_blog',
	array(
        'label'           => __( 'Category for Featured Blog', 'the-blogging' ),
        'description'     => __( 'Select category to be shown on featured blog ', 'the-blogging' ),
        'section'         => 'feature_blog_section_settings',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
		'priority'    	  => 130,

    ) ) );

// Setting - select_featured_blog_background_color.
$wp_customize->add_setting( 'select_featured_blog_background_color',
	array(
		'default'           => $default['select_featured_blog_background_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,'select_featured_blog_background_color',
	array(
		'label'    => __( 'Section Background Color', 'the-blogging' ),
		'section'  => 'feature_blog_section_settings',
		'type'     => 'color',
		'priority' => 170,
	)
));


// Setting - select_featured_blog_text_color.
$wp_customize->add_setting( 'select_featured_blog_text_color',
	array(
		'default'           => $default['select_featured_blog_text_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'select_featured_blog_text_color',
	array(
		'label'    => __( 'Section Text Color', 'the-blogging' ),
		'section'  => 'feature_blog_section_settings',
		'type'     => 'color',
		'priority' => 170,
	)
));

/*settings for Section property*/
/*Button Text*/
$wp_customize->add_setting( 'button_text_for_feature_blog',
	array(
		'default'           => $default['button_text_for_feature_blog'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'button_text_for_feature_blog',
	array(
		'label'    => __( 'Section Button Text', 'the-blogging' ),
		'description'     => __( 'Removing text will disable button on the Featured Blog Section', 'the-blogging' ),
		'section'  => 'feature_blog_section_settings',
		'type'     => 'text',
		'priority' => 170,
	)
);










// Footer featured fix post Section.
$wp_customize->add_section('footer_pined_post_section_settings',
    array(
        'title' => esc_html__('You may also like Options', 'the-blogging'),
        'priority' => 110,
        'capability' => 'edit_theme_options',
        'panel' => 'homepage_option_panel',
    )
);
// Setting - show_footer_pinned_post_section_section.
$wp_customize->add_setting('show_footer_pinned_post_section_section',
    array(
        'default' => $default['show_footer_pinned_post_section_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'the_blogging_sanitize_checkbox',
    )
);
$wp_customize->add_control('show_footer_pinned_post_section_section',
    array(
        'label' => esc_html__('Enable Footer Related Post Section', 'the-blogging'),
        'section' => 'footer_pined_post_section_settings',
        'type' => 'checkbox',
        'priority' => 100,
    )
);
/*No of Slider*/
$wp_customize->add_setting('title_footer_pinned_post',
	array(
		'default'           => $default['title_footer_pinned_post'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control('title_footer_pinned_post',
	array(
		'label'       => esc_html__('Section Title', 'the-blogging'),
		'section'     => 'footer_pined_post_section_settings',
		'type'        => 'text',
		'priority'    => 110,
	)
);

$wp_customize->add_setting('select_category_for_footer_pinned_section',
	array(
		'default'           => $default['select_category_for_footer_pinned_section'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(new The_Blogging_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_footer_pinned_section',
		array(
			'label'           => esc_html__('Category for Footer Related Post', 'the-blogging'),
			'section'         => 'footer_pined_post_section_settings',
			'type'            => 'dropdown-taxonomies',
			'taxonomy'        => 'category',
			'priority'        => 130,

		)));