<?php
/**
 * CSS related hooks.
 *
 * This file contains hook functions which are related to CSS.
 *
 * @package The Blogging
 */

if (!function_exists('the_blogging_trigger_custom_css_action')) :

    /**
     * Do action theme custom CSS.
     *
     * @since 1.0.0
     */
function the_blogging_trigger_custom_css_action()
{
    global $the_blogging_google_fonts;
    $the_blogging_enable_banner_overlay = the_blogging_get_option('enable_overlay_option');
    $the_blogging_banner_background_color = the_blogging_get_option('banner_background_color');
    $the_blogging_banner_text_color = the_blogging_get_option('banner_text_color');
    
    $the_blogging_select_featured_blog_background_color = the_blogging_get_option('select_featured_blog_background_color');
    $the_blogging_select_featured_blog_text_color = the_blogging_get_option('select_featured_blog_text_color');
    
    $the_blogging_footer_background_color = the_blogging_get_option('footer_background_color');
    $the_blogging_footer_line_color = the_blogging_get_option('footer_line_color');
    $the_blogging_footer_text_color = the_blogging_get_option('footer_text_color');
    $the_blogging_copyright_background_color = the_blogging_get_option('copyright_background_color');
    $the_blogging_copyright_text_color = the_blogging_get_option('copyright_text_color');
    
    $the_blogging_featured_blog_text_color = the_blogging_get_option('featured_blog_text_color');
    $the_blogging_featured_blog_background_color = the_blogging_get_option('featured_blog_background_color');

    $the_blogging_font_size_h1 = the_blogging_get_option('text_size_h1');
    $the_blogging_medium_article_title = the_blogging_get_option('medium_article_title');
    $the_blogging_small_article_title = the_blogging_get_option('small_article_title');
    $the_blogging_inner_banner_title_size = the_blogging_get_option('inner_banner_title_size');
    $the_blogging_font_size_p = the_blogging_get_option('text_size_p');

    ?>
        <style type="text/css">
        <?php
        
        if ( $the_blogging_enable_banner_overlay == 1 ){
            ?>
            .inner-banner.banner-bg-enabled .entry-header,
            .inner-banner.banner-bg-enabled .entry-header a{
                color: #fff;
            }

            body .banner-bg-enabled .inner-header-overlay{
                background: #2b2b2b;
                filter: alpha(opacity=45);
                opacity: .45;
            }
            <?php
        } 
        if (!empty($the_blogging_banner_background_color) ){
            ?>
            .site .twp-slider-wrapper.twp-slider-bgwrapper{
                background: <?php echo esc_html($the_blogging_banner_background_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_banner_text_color) ){
            ?>
            .site .twp-slider-wrapper.twp-slider-bgwrapper,
            .site .twp-slider-wrapper.twp-slider-bgwrapper a{
                color: <?php echo esc_html($the_blogging_banner_text_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_select_featured_blog_background_color) ){
            ?>
            body .site .section-slider{
                background: <?php echo esc_html($the_blogging_select_featured_blog_background_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_select_featured_blog_text_color) ){
            ?>
            body .site .section-slider,
            body .site .section-slider a{
                color: <?php echo esc_html($the_blogging_select_featured_blog_text_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_footer_background_color) ){
            ?>
            body .site-footer .footer-widget{
                background: <?php echo esc_html($the_blogging_footer_background_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_footer_text_color) ){
            ?>
            body .site-footer .footer-widget,
            body.site-footer .footer-widget a {
                color: <?php echo esc_html($the_blogging_footer_text_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_footer_line_color) ){
            ?>
            body .site-footer .widget:not(.the_blogging_social_widget):not(.the_blogging_popular_post_widget) ul li,
            body.site-footer .footer-widget .widget-title{
                border-color: <?php echo esc_html($the_blogging_footer_line_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_copyright_background_color) ){
            ?>
            body .site-footer .site-info {
                background: <?php echo esc_html($the_blogging_copyright_background_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_copyright_text_color) ){
            ?>
            body .site-footer .site-info,
            body .site-footer .site-info a {
                color: <?php echo esc_html($the_blogging_copyright_text_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_featured_blog_text_color) ){
            ?>
            body .most-read-section,
            body .most-read-section a{
                color: <?php echo esc_html($the_blogging_featured_blog_text_color); ?>;
            }
            <?php
        }

        if (!empty($the_blogging_featured_blog_background_color) ){
            ?>
            body .most-read-section{
                background: <?php echo esc_html($the_blogging_featured_blog_background_color); ?>;
            }
            <?php
        }


        if (!empty($the_blogging_font_size_h1) ){
            ?>
            body h1.entry-title,
            body h1,
            body .entry-title-large{
                font-size: <?php echo esc_html($the_blogging_font_size_h1); ?>px;
            }
            <?php
        }

        if (!empty($the_blogging_medium_article_title) ){
            ?>
            body .entry-title-medium{
                font-size: <?php echo esc_html($the_blogging_medium_article_title); ?>px;
            }
            <?php
        }

        if (!empty($the_blogging_small_article_title) ){
            ?>
            body .entry-title-small{
                font-size: <?php echo esc_html($the_blogging_small_article_title); ?>px;
            }
            <?php
        }

        if (!empty($the_blogging_inner_banner_title_size) ){
            ?>
            body h4{
                font-size: <?php echo esc_html($the_blogging_inner_banner_title_size); ?>px;
            }
            <?php
        }

         if (!empty($the_blogging_font_size_p) ){
            ?>
            html body, body p, body button, body input, body select, body textarea, body .widget{
                font-size: <?php echo esc_html($the_blogging_font_size_p); ?>px;
            }
            <?php
        }
        ?>
        </style>

        <?php }

        endif;