<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function the_blogging_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'the-blogging' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'the-blogging' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title"><span>',
		'after_title'   => '</span></h3>',
	) );

	register_sidebar(array(
	    'name' => esc_html__('Shop Sidebar', 'the-blogging'),
	    'id' => 'shop-sidebar',
	    'description' => esc_html__('Displays items on sidebar.', 'the-blogging'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h2 class="widget-title">',
	    'after_title' => '</h2>',
	));
	$the_blogging_footer_widgets_number = the_blogging_get_option('number_of_footer_widget');

	if( $the_blogging_footer_widgets_number > 0 ){
	    register_sidebar(array(
	        'name' => __('Footer Column One', 'the-blogging'),
	        'id' => 'footer-col-one',
	        'description' => __('Displays items on footer section.','the-blogging'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title'  => '<h3 class="widget-title">',
	        'after_title'   => '</h3>',
	    ));
	    if( $the_blogging_footer_widgets_number > 1 ){
	        register_sidebar(array(
	            'name' => __('Footer Column Two', 'the-blogging'),
	            'id' => 'footer-col-two',
	            'description' => __('Displays items on footer section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	    if( $the_blogging_footer_widgets_number > 2 ){
	        register_sidebar(array(
	            'name' => __('Footer Column Three', 'the-blogging'),
	            'id' => 'footer-col-three',
	            'description' => __('Displays items on footer section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	    if( $the_blogging_footer_widgets_number > 3 ){
	        register_sidebar(array(
	            'name' => __('Footer Column Four', 'the-blogging'),
	            'id' => 'footer-col-four',
	            'description' => __('Displays items on footer section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	}

	$the_blogging_header_widgets_number = the_blogging_get_option('the_blogging_header_widgets_number');

	if( $the_blogging_header_widgets_number > 0 ){
	    register_sidebar(array(
	        'name' => __('Header Column One', 'the-blogging'),
	        'id' => 'header-col-one',
	        'description' => __('Displays items on header section.','the-blogging'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title'  => '<h3 class="widget-title">',
	        'after_title'   => '</h3>',
	    ));
	    if( $the_blogging_header_widgets_number > 1 ){
	        register_sidebar(array(
	            'name' => __('Header Column Two', 'the-blogging'),
	            'id' => 'header-col-two',
	            'description' => __('Displays items on header section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	    if( $the_blogging_header_widgets_number > 2 ){
	        register_sidebar(array(
	            'name' => __('Header Column Three', 'the-blogging'),
	            'id' => 'header-col-three',
	            'description' => __('Displays items on header section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	    if( $the_blogging_header_widgets_number > 3 ){
	        register_sidebar(array(
	            'name' => __('Header Column Four', 'the-blogging'),
	            'id' => 'header-col-four',
	            'description' => __('Displays items on header section.','the-blogging'),
	            'before_widget' => '<div id="%1$s" class="widget %2$s">',
	            'after_widget' => '</div>',
	            'before_title'  => '<h3 class="widget-title">',
	            'after_title'   => '</h3>',
	        ));
	    }
	}
}
add_action( 'widgets_init', 'the_blogging_widgets_init' );
